import numpy as np

from f4enix.input.ww_gvr.models import ParticleType

expected_values = {
    ParticleType.NEUTRON: {
        1.1: np.array(
            [
                [
                    [
                        9.4638e-02,
                        7.9364e-01,
                        7.9103e-01,
                        9.6254e-02,
                        4.0716e-02,
                        9.8324e-03,
                        6.5408e-03,
                    ],
                    [
                        6.9929e-01,
                        4.2589e01,
                        0.0000e00,
                        0.0000e00,
                        2.9634e-01,
                        1.9691e-01,
                        3.3515e-02,
                    ],
                    [
                        2.6938e-01,
                        5.1002e-01,
                        0.0000e00,
                        2.0829e-01,
                        2.8583e-02,
                        1.2900e-02,
                        1.1203e-02,
                    ],
                ]
            ]
        ),
        2.2: np.array(
            [
                [
                    [
                        6.3137e-02,
                        5.6489e-01,
                        7.2160e-02,
                        0.0000e00,
                        2.0076e-02,
                        6.6921e-03,
                        6.6921e-03,
                    ],
                    [
                        3.5328e-01,
                        2.9492e01,
                        1.0601e00,
                        0.0000e00,
                        2.0407e-01,
                        3.4011e-02,
                        1.1337e-02,
                    ],
                    [
                        0.0000e00,
                        2.8219e-01,
                        0.0000e00,
                        1.5279e-02,
                        1.1298e-02,
                        5.6489e-03,
                        5.6489e-03,
                    ],
                ]
            ]
        ),
        3.3: np.array(
            [
                [
                    [
                        0.046149,
                        0.38326,
                        0.0,
                        0.021803,
                        0.024316,
                        0.007493,
                        0.007493,
                    ],
                    [0.31873, 0.0, 0.0, 0.25534, 0.096616, 0.0, 0.01232],
                    [0.12302, 0.29319, 0.058485, 0.0048739, 0.016242, 0.0, 0.0],
                ]
            ]
        ),
        4.4: np.array(
            [
                [
                    [
                        0.042816,
                        0.43559,
                        0.080572,
                        0.025398,
                        0.016225,
                        0.0064901,
                        0.0064901,
                    ],
                    [0.26117, 5.8358, 0.0, 0.0, 0.027459, 0.0068648, 0.0068648],
                    [
                        0.028517,
                        0.16653,
                        0.026879,
                        0.0067176,
                        0.013435,
                        0.0,
                        0.0,
                    ],
                ]
            ]
        ),
        5.5: np.array(
            [
                [
                    [0.043231, 0.98546, 0.16724, 0.0301, 0.0, 0.0, 0.0],
                    [0.81101, 5.228, 0.0, 0.0, 0.12812, 0.0, 0.0],
                    [0.023126, 0.09525, 0.029612, 0.0, 0.0, 0.0, 0.0],
                ]
            ]
        ),
        6.6: np.array(
            [
                [
                    [
                        0.044074,
                        0.61927,
                        0.029518,
                        0.01461,
                        0.0074036,
                        0.0074674,
                        0.0074214,
                    ],
                    [
                        0.1588,
                        3.6451,
                        0.30551,
                        0.094602,
                        0.013649,
                        0.010599,
                        0.0070662,
                    ],
                    [
                        0.023673,
                        0.085316,
                        0.019117,
                        0.026867,
                        0.0067166,
                        0.0,
                        0.0,
                    ],
                ]
            ]
        ),
        100.0: np.array(
            [
                [
                    [
                        0.020299,
                        0.083632,
                        0.019789,
                        0.015584,
                        0.012812,
                        0.0075478,
                        0.0075485,
                    ],
                    [
                        0.079784,
                        0.5,
                        0.065101,
                        0.033571,
                        0.013813,
                        0.0078807,
                        0.007273,
                    ],
                    [
                        0.026228,
                        0.055085,
                        0.022905,
                        0.031785,
                        0.010889,
                        0.007543,
                        0.007543,
                    ],
                ]
            ]
        ),
    },
    ParticleType.PHOTON: {
        1.2: np.array(
            [
                [
                    [0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0],
                    [0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0],
                    [0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0],
                ]
            ]
        ),
        2.3: np.array(
            [
                [
                    [0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0],
                    [0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0],
                    [0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0],
                ]
            ]
        ),
    },
}
